ב-Earth Engine הוספנו
רמות מכסת שימוש לא מסחרי כדי להגן על משאבי מחשוב משותפים ולספק ביצועים מהימנים לכולם. בפרויקטים לא מסחריים נעשה שימוש במסלול Community כברירת מחדל, אבל אפשר לשנות את המסלול של הפרויקט בכל שלב.
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: projects.assets.copy
קל לארגן דפים בעזרת אוספים
אפשר לשמור ולסווג תוכן על סמך ההעדפות שלך.
בקשת HTTP
POST https://earthengine.googleapis.com/v1beta/{sourceName=projects/*/assets/**}:copy
כתובת ה-URL משתמשת בתחביר של Transcoding של gRPC.
פרמטרים של נתיב
| פרמטרים |
sourceName |
string
השם של הנכס שרוצים להעתיק. name צריך להיות בפורמט 'projects/*/assets/**' (למשל, "projects/earthengine-legacy/assets/users/[USER]/[ASSET]"). כל הנכסים שבבעלות המשתמשים נמצאים בפרויקט earthengine-legacy (למשל, "projects/earthengine-legacy/assets/users/foo/bar"). כל שאר הנכסים נמצאים בפרויקט earthengine-public (למשל, "projects/earthengine-public/assets/LANDSAT"). (למשל "assets/users/[USER]/[ASSET]").
כדי לקבל הרשאה, נדרשת ההרשאה הבאה ב-IAM למשאב שצוין sourceName:
|
גוף הבקשה
גוף הבקשה מכיל נתונים במבנה הבא:
| ייצוג ב-JSON |
{
"destinationName": string,
"overwrite": boolean
} |
| שדות |
destinationName |
string
שם היעד שאליו רוצים להעתיק את הנכס. name צריך להיות בפורמט 'projects/*/assets/**' (למשל, "projects/earthengine-legacy/assets/users/[USER]/[ASSET]"). כל הנכסים שבבעלות המשתמשים נמצאים בפרויקט earthengine-legacy (למשל, "projects/earthengine-legacy/assets/users/foo/bar"). כל שאר הנכסים נמצאים בפרויקט earthengine-public (למשל, "projects/earthengine-public/assets/LANDSAT").
כדי לקבל הרשאה, נדרשת ההרשאה הבאה ב-IAM למשאב שצוין destinationName:
earthengine.assets.create
|
overwrite |
boolean
האם לאפשר החלפה של נכס קיים.
|
גוף התשובה
אם הפעולה מצליחה, גוף התגובה מכיל מופע של EarthEngineAsset.
היקפי הרשאה
נדרש אחד מהיקפי ההרשאות הבאים של OAuth:
https://www.googleapis.com/auth/earthengine
https://www.googleapis.com/auth/cloud-platform
מידע נוסף זמין בOAuth 2.0 Overview.
אלא אם צוין אחרת, התוכן של דף זה הוא ברישיון Creative Commons Attribution 4.0 ודוגמאות הקוד הן ברישיון Apache 2.0. לפרטים, ניתן לעיין במדיניות האתר Google Developers. Java הוא סימן מסחרי רשום של חברת Oracle ו/או של השותפים העצמאיים שלה.
עדכון אחרון: 2025-07-25 (שעון UTC).
[null,null,["עדכון אחרון: 2025-07-25 (שעון UTC)."],[],["To copy an asset, send a POST request to `https://earthengine.googleapis.com/v1beta/{sourceName=projects/*/assets/**}:copy`. Specify the `sourceName` path parameter to indicate the asset to copy and include a request body with the `destinationName` string and an `overwrite` boolean, which indicates if an existing asset can be overwritten. User-owned assets are under `earthengine-legacy`, and all other assets are under `earthengine-public`. The response will contain the copied asset information. Authorization is required.\n"]]